[package]
name = "redix"
version = "1.2.3"
edition = "2021"
authors = ["Ali Polatel <alip@chesswob.org>"]
license = "MIT"
readme = "README.md"
homepage = "https://man.exherbo.org"
repository = "https://gitlab.exherbo.org/sydbox/sydbox.git"
documentation = "https://docs.rs/redix"
description = """
Rust wrapper for the ANSI C Radix Tree "rax" https://github.com/antirez/rax implementation used in Redis
"""
rust-version = "1.83"
build = "build.rs"

[lib]
name = "rax"
crate-type = ["dylib", "rlib"]

[[bench]]
name = "rax"
path = "benches/bench.rs"

[dependencies]
libc = { version = "0.2", default-features = false }
nix = { version = "0.31.2", default-features = false }

[build-dependencies]
cc = "1.2"
